Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers
Class ConfiguredDataSource

    java.lang.Object
      org.makumba.providers.ConfiguredDataSource

     class ConfiguredDataSource

extends Object

Represents a Makumba DataSource

Constructor Summary
`ConfiguredDataSource(String host, String name, String path, Configuration.DataSourceType type)`

Method Summary
`String` | `getHost()`
`String` | `getHostAddress()`
`String` | `getName()`
`String` | `getPath()`
`Map<String,String>` | `getProperties()`
`Configuration.DataSourceType` | `getType()`
`void` | `setHost(String host)`
`void` | `setName(String name)`
`void` | `setPath(String path)`
`void` | `setProperties(Map<String,String> properties)`
`void` | `setType(Configuration.DataSourceType type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfiguredDataSource

    public ConfiguredDataSource(String host,
                                String name,
                                String path,
                                Configuration.DataSourceType type)

Method Detail

### getHostAddress

    public String getHostAddress()

### getProperties

    public Map<String,String> getProperties()

### setProperties

    public void setProperties(Map<String,String> properties)

### getType

    public Configuration.DataSourceType getType()

### setType

    public void setType(Configuration.DataSourceType type)

### getName

    public String getName()

### setName

    public void setName(String name)

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getPath

    public String getPath()

### setPath

    public void setPath(String path)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20